Package org.sqlite.javax

## Class SQLiteConnectionPoolDataSource

- java.lang.Object
- - org.sqlite.SQLiteDataSource
  - - org.sqlite.javax.SQLiteConnectionPoolDataSource

All Implemented Interfaces:
  `Wrapper`, `CommonDataSource`, `ConnectionPoolDataSource`, `DataSource`

    public class SQLiteConnectionPoolDataSource
    extends SQLiteDataSource
    implements ConnectionPoolDataSource

### Constructor Summary

Constructors
`SQLiteConnectionPoolDataSource()` Default constructor.
`SQLiteConnectionPoolDataSource​(SQLiteConfig config)` Creates a data source based on the provided configuration.

### Method Summary

All Methods Instance Methods Concrete Methods
`PooledConnection` `getPooledConnection()`
`PooledConnection` `getPooledConnection​(String user, String password)`

### Methods inherited from class org.sqlite.SQLiteDataSource

`getConfig, getConnection, getConnection, getDatabaseName, getLoginTimeout, getLogWriter, getParentLogger, getUrl, isWrapperFor, setBusyTimeout, setCacheSize, setCaseSensitiveLike, setConfig, setCountChanges, setDatabaseName, setDefaultCacheSize, setEncoding, setEnforceForeignKeys, setFullColumnNames, setFullSync, setGetGeneratedKeys, setIncrementalVacuum, setJournalMode, setJournalSizeLimit, setLegacyAlterTable, setLegacyFileFormat, setLoadExtension, setLockingMode, setLoginTimeout, setLogWriter, setMaxPageCount, setPageSize, setReadOnly, setReadUncommitted, setRecursiveTriggers, setReverseUnorderedSelects, setSharedCache, setShortColumnNames, setSynchronous, setTempStore, setTempStoreDirectory, setTransactionMode, setUrl, setUserVersion, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.sql.CommonDataSource

`createShardingKeyBuilder, getParentLogger`

### Methods inherited from interface javax.sql.ConnectionPoolDataSource

`createPooledConnectionBuilder, getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

### Methods inherited from interface javax.sql.DataSource

`createConnectionBuilder`

### Constructor Detail

#### SQLiteConnectionPoolDataSource

    public SQLiteConnectionPoolDataSource()

Default constructor.

#### SQLiteConnectionPoolDataSource

    public SQLiteConnectionPoolDataSource​(SQLiteConfig config)

Creates a data source based on the provided configuration.

Parameters:
  `config` - The configuration for the data source.

### Method Detail

#### getPooledConnection

    public PooledConnection getPooledConnection()
                                         throws SQLException

Specified by:
  `getPooledConnection` in interface `ConnectionPoolDataSource`
Throws:
  `SQLException`
See Also:
  `ConnectionPoolDataSource.getPooledConnection()`

#### getPooledConnection

    public PooledConnection getPooledConnection​(String user,
                                                String password)
                                         throws SQLException

Specified by:
  `getPooledConnection` in interface `ConnectionPoolDataSource`
Throws:
  `SQLException`
See Also:
  `ConnectionPoolDataSource.getPooledConnection(java.lang.String, java.lang.String)`